<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Add New Cost Factor
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

            <div class="w-full">
                <div class="flex flex-col"><!-- added new -->
                    <div class="flex w-full">
                        <mat-form-field class="w-1/3 pr-2">
                            <mat-label>Cost Factor Name</mat-label>
                            <input matInput />
                            <!-- <mat-error>
                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                            </mat-error> -->
                        </mat-form-field>
                        <mat-form-field class="w-1/3 px-2">
                            <mat-label>Description</mat-label>
                            <input matInput/>
                            <!-- <span
                                *ngIf="!teamList.get('teamDescription').valid && teamList.get('teamDescription').touched">Please
                                enter Team Desc</span> -->
                        </mat-form-field>
                        <mat-form-field class="w-1/3 pl-2">
                            <mat-label>Cost Type</mat-label>
                            <mat-select [value]="1">
                                <mat-option [value]="1">Fixed</mat-option>
                                <mat-option [value]="2">Variable</mat-option>
                                <mat-option [value]="3">Semi-Variable</mat-option>
                                <mat-option [value]="4">Opportunity</mat-option>
                                <mat-option [value]="5">Explicit</mat-option>
                                <mat-option [value]="5">Implicit</mat-option>
                                <mat-option [value]="5">Accounting</mat-option>
                                <mat-option [value]="5">Economic</mat-option>
                                <mat-option [value]="5">Business</mat-option>
                                <mat-option [value]="5">Full</mat-option>
                                <mat-option [value]="5">Incremental</mat-option>
                            </mat-select>
                            <!-- <mat-error>
                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                            </mat-error> -->
                        </mat-form-field>
                    </div>

                </div>

            </div>

            <div class="flex flex-col justify-start mt-5">
                <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                    <span>{{'Successfully saved'}}</span>
                </div>
                <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                    <span>{{'Something went wrong'}}</span>
                </div>
            </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Save</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
